# Ipopt::InexactNewtonNormalStep Class Reference

Compute the "Newton" normal step from the (slack-scaled) augmented system. More...

`#include <IpInexactNewtonNormal.hpp>`

Inheritance diagram for Ipopt::InexactNewtonNormalStep:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual bool | ComputeNewtonNormalStep (Vector &newton_x, Vector &newton_s)
| Method for computing the normal step.
Constructors/Destructors
| InexactNewtonNormalStep (SmartPtr< AugSystemSolver > aug_solver)
| Default onstructor.
virtual | ~InexactNewtonNormalStep ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for IpoptType.
## Protected Member Functions
InexactData & | InexData ()
| Method to easily access Inexact data.
InexactCq & | InexCq ()
| Method to easily access Inexact calculated quantities.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| InexactNewtonNormalStep ()
| Default onstructor.
| InexactNewtonNormalStep (const InexactNewtonNormalStep &)
| Copy Constructor.
void | operator= (const InexactNewtonNormalStep &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< AugSystemSolver > | aug_solver_
| Object to be used to solve the augmented system.

## Detailed Description

Compute the "Newton" normal step from the (slack-scaled) augmented system.

Definition at line 21 of file IpInexactNewtonNormal.hpp.

## Constructor & Destructor Documentation

Ipopt::InexactNewtonNormalStep::InexactNewtonNormalStep | ( | SmartPtr< AugSystemSolver > | aug_solver | ) |

Default onstructor.

virtual Ipopt::InexactNewtonNormalStep::~InexactNewtonNormalStep | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::InexactNewtonNormalStep::InexactNewtonNormalStep | ( |  | ) | `[private]`

Default onstructor.

Ipopt::InexactNewtonNormalStep::InexactNewtonNormalStep | ( | const InexactNewtonNormalStep & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::InexactNewtonNormalStep::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

virtual bool Ipopt::InexactNewtonNormalStep::ComputeNewtonNormalStep | ( | Vector & | newton_x,
|  | Vector & | newton_s |
| ) |  |  | `[virtual]`

Method for computing the normal step.

The computed step is returned as normal_x and normal_s, for the x and s variables, respectively. These quantities are not in the original space, but in the space scaled by the slacks. If the step cannot be computed, this method returns false.

static void Ipopt::InexactNewtonNormalStep::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Methods for IpoptType.

InexactData& Ipopt::InexactNewtonNormalStep::InexData | ( |  | ) | `[inline, protected]`

Method to easily access Inexact data.

Definition at line 51 of file IpInexactNewtonNormal.hpp.

InexactCq& Ipopt::InexactNewtonNormalStep::InexCq | ( |  | ) | `[inline, protected]`

Method to easily access Inexact calculated quantities.

Definition at line 60 of file IpInexactNewtonNormal.hpp.

void Ipopt::InexactNewtonNormalStep::operator= | ( | const InexactNewtonNormalStep & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::AlgorithmStrategyObject.

## Member Data Documentation

SmartPtr<AugSystemSolver> Ipopt::InexactNewtonNormalStep::aug_solver_`[private]`

Object to be used to solve the augmented system.

Definition at line 88 of file IpInexactNewtonNormal.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/Inexact/IpInexactNewtonNormal.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines